Subject: [Bmcu] spoke wheel wrench needed

From: Gary Lindstrom <[email-masked]>
Date: Sat, 10 Nov 2012 07:53:14 -0700

Does anyone have a long handled spoke wheel knock off wrench I can 
borrow for a day or two? I need the smaller size that fits ears (2) that 
are 6-1/2" across, not 7-1/4" as for larger cars, e.g. Jags.

Here is the item I'm thinking of courtesy of Moss Motors: 
http://www.mossmotors.com/Shop/ViewProducts.aspx?PlateIndexID=37093

Why, might you ask, doesn't he buy one for himself?!? Answer: I did, but 
it went to USPS Priority Mail heaven somewhere between Grand Rapids MI 
and here.

Thanks,
     --Gary
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive